import "../../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { IconPageAdd as IconPageAddClass } from "../../../../components/icon/icons/page-add.component.js";
import { getReactComponent } from "../../../../utils/react.js";
const IconPageAdd = (props) => {
  IconPageAddClass.define();
  const JSXElement = getReactComponent("gds-icon-page-add");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
IconPageAdd.displayName = "IconPageAdd";
export {
  IconPageAdd
};
